Bug 24705 - ScrollView does not scroll until after device is rotated
Summary: ScrollView does not scroll until after device is rotated
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.3.0
Hardware: PC Mac OS
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-11-20 13:52 UTC by Cody Beyer (MSFT)
Modified: 2015-01-23 02:35 UTC (History)
5 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Cody Beyer (MSFT) 2014-11-20 13:52:42 UTC
### Description

When deploying an iOS project, which utilizes a ScrollView, the app does not respond to a scroll until after the device is rotated.

### Video

https://www.dropbox.com/s/nhz5rs5l9svxdej/Scroll.mov?dl=0


### Test Case

https://www.dropbox.com/s/f9i68rbcq09pegl/ScrollViewIOSSample.zip?dl=0


### Steps to reproduce

1. Open above test case

2. Deploy as Debug | iPhone Simulator

3. Attempt to scroll view / Notice failure

4. Rotate device

5. Attempt to scroll / Notice success


### Version

Xamarin Studio
Version 5.5.4 (build 14)
Installation UUID: 3e4348fa-e0b3-46a4-8426-58f27e19159e
Runtime:
	Mono 3.10.0 ((detached/92c4884)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 310000031

Apple Developer Tools
Xcode 6.1 (6604)
Build 6A1052d

Xamarin.iOS
Version: 8.4.0.43 (Business Edition)
Hash: 840a925
Branch: 
Build date: 2014-11-16 21:03:22-0500

Xamarin.Android
Version: 4.20.0.26 (Business Edition)
Android SDK: /Users/codybeyer/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		2.1    (API level 7)
		2.2    (API level 8)
		2.3    (API level 10)
		3.1    (API level 12)
		4.0    (API level 14)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.4    (API level 19)
		4.4.87 (API level 20)
Java SDK: /usr
java version "1.8.0_25"
Java(TM) SE Runtime Environment (build 1.8.0_25-b17)
Java HotSpot(TM) 64-Bit Server VM (build 25.25-b02, mixed mode)

Xamarin.Mac
Version: 1.10.0.18 (Business Edition)

Build Information
Release ID: 505040014
Git revision: 0ba6e4604b0c07b002498251c20bde8a265b13be
Build date: 2014-11-11 15:38:26-05
Xamarin addins: 8ee37a13f91f85d350eeecbab99dff85d24d02dd

Operating System
Mac OS X 10.10.1
Darwin Codys-MBP.lan 14.0.0 Darwin Kernel Version 14.0.0
    Fri Sep 19 00:26:44 PDT 2014
    root:xnu-2782.1.97~2/RELEASE_X86_64 x86_64
Comment 1 Ram Chandra 2014-11-21 06:01:35 UTC
I have checked this issue and with the help of steps mentioned in bug description, I am also getting the same behavior.

When I deploying the iOS project, I observed that I am unable to scroll the ScrollView, until the device is rotated.

Screencast: http://www.screencast.com/t/C71aFfnpOa4

Application output: https://gist.github.com/saurabh360/a1bcf828c386cf9ec222
IDE logs: https://gist.github.com/saurabh360/74078201c045c770e224

Environment Info:

=== Xamarin Studio ===

Version 5.7 (build 538)
Installation UUID: 6ea47b0d-1852-4aaf-808d-373ff0a5002b
Runtime:
	Mono 3.10.0 ((detached/197d3bb)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 310000032

=== Apple Developer Tools ===

Xcode 6.1 (6604)
Build 6A1052d

=== Xamarin.iOS ===

Version: 8.4.0.45 (Trial Edition)
Hash: f36d1ed
Branch: 
Build date: 2014-11-18 17:47:28-0500

=== Xamarin.Android ===

Version: 4.20.0.28 (Trial Edition)
Android SDK: /Users/jatin66/Desktop/Backup/android-sdk-macosx
	Supported Android versions:
		1.6    (API level 4)
		2.1    (API level 7)
		2.2    (API level 8)
		2.3    (API level 10)
		3.0    (API level 11)
		3.1    (API level 12)
		3.2    (API level 13)
		4.0    (API level 14)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.3    (API level 18)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
Java SDK: /usr
java version "1.7.0_65"
Java(TM) SE Runtime Environment (build 1.7.0_65-b17)
Java HotSpot(TM) 64-Bit Server VM (build 24.65-b04, mixed mode)

=== Xamarin.Mac ===

Version: 1.11.1.89 (Trial Edition)

=== Build Information ===

Release ID: 507000538
Git revision: fca0c4bb54656b0be9a5ec4a054dd50858d58544
Build date: 2014-11-14 18:14:15-05
Xamarin addins: 5fbaef576ca16f5dd557877c5303400bad382c58

=== Operating System ===

Mac OS X 10.10.0
Darwin Jatin66s-iMac.local 14.0.0 Darwin Kernel Version 14.0.0
    Fri Sep 19 00:26:44 PDT 2014
    root:xnu-2782.1.97~2/RELEASE_X86_64 x86_64
Comment 2 Jason Smith [MSFT] 2015-01-14 13:43:06 UTC
Fixed in 1.3.2-pre1
Comment 3 Ram Chandra 2015-01-23 02:35:23 UTC
I have checked this issue with following builds:

Xamarin.Forms 1.3.2.6299-pre1
Mac OS X 10.10.0
Xamarin Studio: 5.7.1 (build 14)
Installation UUID: 6ea47b0d-1852-4aaf-808d-373ff0a5002b
Runtime:
Mono 3.12.0 ((detached/a813491)
GTK+ 2.24.23 (Raleigh theme)
Package version: 312000068
Xcode 6.1 (6604)
Build 6A1052d
Xamarin.iOS: 8.6.0.51 (Business Edition)
Hash: dfb682f
=== Build Information ===
Release ID: 507010014
Git revision: a4dd61ad7f8b3695be4b17bcb5c3ae6b81438cf7
Build date: 2015-01-19 15:21:09-05
Xamarin addins: 081208fe3bbf40e24a562867c6c7fba20a9b94b6

When I deploy the attach project, I observed that the scrolling is working fine on both mode portrait and landscape. 

Screencast: http://www.screencast.com/t/CGvwuPc0eb

This issue has been fixed. Hence, I am closing this issue.

Note You need to log in before you can comment on or make changes to this bug.